module.exports = {
  create: {
    requestBody: [
      "room_id",
      "password",
      "title",
      "origin",
      "type",
      "brief",
      "create_time",
      "status",
      "role",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "room_id",
      "password",
      "title",
      "origin",
      "type",
      "brief",
      "create_time",
      "status",
      "role",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        room_id: "room_id",
        title: "title",
        type: "type",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  // 登陆
  login: {
    requestBody: ["room_id", "password"],
    service: "login",
  },
};
