module.exports = {
  create: {
    requestBody: ['!train_id', '!name', '!phone', '!password', 'status', 'remark'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['train_id', 'name', 'phone', 'password', 'status', 'remark'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        train_id: 'train_id',
        name: 'name',
        phone: 'phone',
        status: 'status',
      },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ['!phone', '!password', '!train_id'],
  },
};
