module.exports = {
  create: {
    requestBody: [
      "no",
      "coupons_id",
      "company",
      "apply_person",
      "phone",
      "money",
      "allowance",
      "total",
      "create_time",
      "end_time",
      "contract",
      "accept",
      "cost",
      "result",
      "result_else",
      "status",
      "record",
      "user_id",
      "remark",
      "declare_id",
      "reward_id",
      "from_id",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "no",
      "coupons_id",
      "company",
      "apply_person",
      "phone",
      "money",
      "allowance",
      "total",
      "create_time",
      "end_time",
      "contract",
      "accept",
      "cost",
      "result",
      "result_else",
      "status",
      "record",
      "user_id",
      "remark",
      "from_id",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        no: "no",
        coupons_id: "coupons_id",
        company: "company",
        apply_person: "apply_person",
        status: "status",
        create_time: "create_time",
        user_id: "user_id",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
        end_time: "end_time",
        from_id: "from_id",
        "end_time@start": "end_time@start",
        "end_time@end": "end_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  from: {
    params: ["!from_id"],
    service: "getFromId",
  },
};
