module.exports = {
  create: {
    requestBody: [
      "user_id",
      "name",
      "discount_type",
      "coupons_type",
      "use_type",
      "classify",
      "limit_time",
      "scale",
      "allowance",
      "total_allowance",
      "desc",
      "status",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "name",
      "discount_type",
      "coupons_type",
      "use_type",
      "classify",
      "limit_time",
      "scale",
      "allowance",
      "total_allowance",
      "desc",
      "status",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        name: "name",
        coupons_type: "coupons_type",
        discount_type: "discount_type",
        use_type: "use_type",
        classify: "classify",
        limit_time: "limit_time",
        status: "status",
        "create_time@start": "meta.createdAt@start",
        "create_time@end": "meta.createdAt@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
