module.exports = {
  create: {
    requestBody: [
      "user_id",
      "coupons_id",
      "company",
      "apply_person",
      "phone",
      "qyfr",
      "yyzz",
      "qylr",
      "record",
      "apply_money",
      "actual_money",
      "section_time",
      "status",
      "is_use",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "coupons_id",
      "company",
      "apply_person",
      "phone",
      "qyfr",
      "yyzz",
      "qylr",
      "record",
      "apply_money",
      "actual_money",
      "section_time",
      "status",
      "is_use",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        coupons_id: "coupons_id",
        company: "company",
        apply_person: "apply_person",
        phone: "phone",
        status: "status",
        is_use: "is_use",
        "create_time@start": "meta.createdAt@start",
        "create_time@end": "meta.createdAt@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
