module.exports = {
  create: {
    requestBody: [
      "company",
      "apply_person",
      "phone",
      "material",
      "medium_id",
      "medium_material",
      "contract",
      "is_cashing",
      "status",
      "record",
      "remark",
      "user_id",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "company",
      "apply_person",
      "phone",
      "material",
      "medium_id",
      "medium_material",
      "contract",
      "is_cashing",
      "status",
      "record",
      "remark",
      "user_id",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        user_id: "user_id",
        medium_id: "medium_id",
        status: "status",
        company: "company",
        apply_person: "apply_person",
        is_cashing: "is_cashing",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
