module.exports = {
  create: {
    requestBody: [
      "room_id",
      "password",
      "title",
      "start_time",
      "end_time",
      "province",
      "city",
      "admin",
      "phone",
      "sponsor",
      "organizer",
      "status",
      "role",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "room_id",
      "password",
      "title",
      "start_time",
      "end_time",
      "province",
      "city",
      "admin",
      "phone",
      "sponsor",
      "organizer",
      "status",
      "role",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        room_id: "room_id",
        title: "title",
        start_time: "start_time",
        end_time: "end_time",
        admin: "admin",
        sponsor: "sponsor",
        status: "status",
        "start_time@start": "start_time@start",
        "start_time@end": "start_time@end",
        "end_time@start": "end_time@start",
        "end_time@end": "end_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ["room_id", "password"],
    service: "login",
  },
};
