module.exports = {
  create: {
    requestBody: [
      "dock_id",
      "sender_id",
      "sender_name",
      "content",
      "img_url",
      "video_url",
      "send_time",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "dock_id",
      "sender_id",
      "sender_name",
      "content",
      "img_url",
      "video_url",
      "send_time",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        dock_id: "dock_id",
        sender_id: "sender_id",
        sender_name: "sender_name",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
