module.exports = {
  create: {
    requestBody: [
      "dock_id",
      "product_id",
      "product_name",
      "s_id",
      "s_name",
      "s_phone",
      "d_id",
      "d_name",
      "d_phone",
      "status",
      "contact",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "dock_id",
      "product_id",
      "product_name",
      "s_id",
      "s_name",
      "s_phone",
      "d_id",
      "d_name",
      "d_phone",
      "status",
      "contact",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        dock_id: "dock_id",
        product_id: "product_id",
        product_name: "product_name",
        s_id: "s_id",
        s_name: "s_name",
        d_id: "d_id",
        d_name: "d_name",
        status: "status",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
