module.exports = {
  create: {
    requestBody: ['dock_id', 'user_id', 'user_name', 'user_phone', 'create_time', 'productList', 'status', 'remark'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['dock_id', 'user_id', 'user_name', 'user_phone', 'create_time', 'productList', 'status', 'remark'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        dock_id: 'dock_id',
        user_id: 'user_id',
        user_name: 'user_name',
        user_phone: 'user_phone',
        status: 'status',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  goodCheck: {
    params: ['!id'],
    requestBody: ['good_id', 'status'],
    service: 'goodCheck',
  },
  userCheck: {
    params: ['!id'],
    requestBody: ['status'],
    service: 'userCheck',
  },

  getProductListByDockId: {
    parameters: {
      query: {
        dock_id: 'dock_id',
        type: 'productList.type',
        name: '%productList.name%',
        phone: 'productList.phone',
        contacts: 'productList.contacts',
        field: 'productList.field',
        cooperation: 'productList.cooperation',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'getProductListByDockId',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
    },
  },
};
