module.exports = {
  create: {
    requestBody: [
      "name",
      "contact",
      "phone",
      "addr",
      "belong",
      "password",
      "openid",
      "natural",
      "achieve",
      "condition",
      "team",
      "img_file",
      "project",
      "equipment",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "contact",
      "phone",
      "addr",
      "belong",
      "password",
      "openid",
      "natural",
      "achieve",
      "condition",
      "team",
      "img_file",
      "project",
      "equipment",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        contact: "contact",
        phone: "phone",
        addr: "addr",
        belong: "belong",
        openid: "openid",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  //修改密码
  password: {
    params: ["!id"],
    requestBody: ["password"],
    service: "password",
  },
  // 登陆
  login: {
    requestBody: ["phone", "password"],
    service: "login",
  },
};
