module.exports = {
  create: {
    requestBody: [
      "medium_id",
      "openid",
      "project",
      "contact",
      "phone",
      "email",
      "server_time",
      "remark",
      "type",
      "invoice",
      "company",
      "number",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "medium_id",
      "openid",
      "project",
      "contact",
      "phone",
      "email",
      "server_time",
      "remark",
      "type",
      "invoice",
      "company",
      "number",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        medium_id: "medium_id",
        openid: "openid",
        project: "project",
        contact: "contact",
        phone: "phone",
        status: "status",
        "server_time@start": "server_time@start",
        "server_time@end": "server_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
