module.exports = {
  create: {
    requestBody: [
      "column_id",
      "column_name",
      "title",
      "type",
      "release_time",
      "origin",
      "brief",
      "img_url",
      "video_url",
      "file_url",
      "content",
      "is_money",
      "money_url",
      "dock_id",
      "is_use",
      "user_id",
      "remark",
      "create_time",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "column_id",
      "column_name",
      "title",
      "type",
      "release_time",
      "origin",
      "brief",
      "img_url",
      "video_url",
      "file_url",
      "content",
      "is_money",
      "money_url",
      "dock_id",
      "is_use",
      "user_id",
      "remark",
      "create_time",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        column_id: "column_id",
        column_name: "column_name",
        title: "title",
        type: "type",
        release_time: "release_time",
        is_money: "is_money",
        dock_id: "dock_id",
        is_use: "is_use",
        user_id: "user_id",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
