module.exports = {
  create: {
    requestBody: [
      "name",
      "pro_user",
      "!pro_phone",
      "field",
      "scale",
      "techol_stage",
      "techol_level",
      "proposal_company",
      "proposal_user",
      "proposal_phone",
      "coopera_company",
      "coopera_user",
      "coopera_phone",
      "project_back",
      "sign",
      "work_basics",
      "content",
      "route",
      "quota",
      "influence",
      "!question_id",
      "user_id",
      "status"
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "pro_user",
      "!pro_phone",
      "field",
      "scale",
      "techol_stage",
      "techol_level",
      "proposal_company",
      "proposal_user",
      "proposal_phone",
      "coopera_company",
      "coopera_user",
      "coopera_phone",
      "project_back",
      "sign",
      "work_basics",
      "content",
      "route",
      "quota",
      "influence",
      "status"
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        question_id: "question_id",
        user_id: "user_id",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
