module.exports = {
  create: {
    requestBody: [
      "title",
      "origin",
      "img_path",
      "file_path",
      "content",
      "create_id",
      "create_code",
      "create_date",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "title",
      "origin",
      "img_path",
      "file_path",
      "content",
      "create_id",
      "create_code",
      "create_date",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        title: "title",
        origin: "origin",
        user_id: "user_id",
        exist: "exist",
        create_id: "create_id",
        create_code: "create_code",
        "create_date@start": "create_date@start",
        "create_date@end": "create_date@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
