module.exports = {
  create: {
    requestBody: [
      "user_id",
      "dock_id",
      "title",
      "brief",
      "origin",
      "publish_time",
      "content",
      "picture",
      "filepath",
      "remark"
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "dock_id",
      "title",
      "brief",
      "origin",
      "publish_time",
      "content",
      "picture",
      "filepath",
      "remark"
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        dock_id:"dock_id",
        title:"%title%",
        origin:"origin",
        "publish_time@start":"publish_time@start",
        "publish_time@end":"publish_time@end",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
