module.exports = {
  create: {
    requestBody: [
      "!user_id",
      "resource",
      "nickname",
      "name",
      "phone",
      "work",
      "address",
      "title",
      "proposal",
      "remark"
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!user_id",
      "resource",
      "nickname",
      "name",
      "phone",
      "work",
      "address",
      "title",
      "proposal",
      "remark"
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id:"user_id",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
