module.exports = {
  create: {
    requestBody: [
      "user_id",
      "title",
      "publish_time",
      "origin",
      "brief",
      "is_money",
      "money_url",
      "picture",
      "filepath",
      "video",
      "content",
      "remark",
      "create_time",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "title",
      "publish_time",
      "origin",
      "brief",
      "is_money",
      "money_url",
      "picture",
      "filepath",
      "video",
      "content",
      "remark",
      "create_time",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        title: "title",
        publish_time: "publish_time",
        origin: "origin",
        is_money: "is_money",
        "publish_time@start": "publish_time@start",
        "publish_time@end": "publish_time@end",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
