module.exports = {
  create: {
    requestBody: ["code", "name", "category", "sort"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["code", "name", "category", "sort"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        code: "code",
        name: "name",
        category: "category",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },

  xzqh: {
    parameters: {
      query: {
        code: "code",
      },
    },
    service: "xzqh",
  },
  codeName: {
    requestBody: ["code"],
    service: "codeName",
  },
};
