module.exports = {
  create: {
    requestBody: ['name', 'phone', 'password', 'openid', 'role', 'pid', 'deptname', 'code', 'remark', 'role_id'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['name', 'phone', 'openid', 'role', 'pid', 'deptname', 'code', 'remark', 'role_id'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        name: '%name%',
        phone: 'phone',
        role: 'role',
        pid: 'pid',
        deptname: '%deptname%',
        code: 'code',
        role_id: 'role_id',
        'create_time@start': 'create_time@start',
        'create_time@end': 'create_time@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  //修改密码
  password: {
    params: ['!id'],
    requestBody: ['password'],
    service: 'password',
  },
  // 登陆
  login: {
    requestBody: ['code_phone', 'password'],
    service: 'login',
  },
};
