module.exports = {
  create: {
    requestBody: [
      "name",
      "phone",
      "password",
      "code",
      "role",
      "email",
      "addr",
      "office_phone",
      "profession",
      "juris",
      "card",
      "birthDate",
      "qqwx",
      "school",
      "education",
      "major",
      "company",
      "zwzc",
      "img_path",
      "expertise",
      "workexperience",
      "scientific",
      "undertakingproject",
      "scienceaward",
      "social",
      "personal_id",
      "status",
      "openid",
      "isdel",
      "remark",
      "create_time",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "phone",
      "password",
      "code",
      "role",
      "email",
      "addr",
      "office_phone",
      "profession",
      "juris",
      "card",
      "birthDate",
      "qqwx",
      "school",
      "education",
      "major",
      "company",
      "zwzc",
      "img_path",
      "expertise",
      "workexperience",
      "scientific",
      "undertakingproject",
      "scienceaward",
      "social",
      "personal_id",
      "status",
      "openid",
      "isdel",
      "remark",
      "create_time",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        phone: "phone",
        code: "code",
        role: "role",
        juris: "juris",
        status: "status",
        profession: "profession",
        company: "company",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      options: {
        isdel: "0", // 默认条件
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  // 登陆
  login: {
    requestBody: ["!phone", "!password"],
    service: "login",
  },
  //修改密码
  password: {
    params: ["!id"],
    requestBody: ["password"],
    service: "password",
  },
};
