module.exports = {
  create: {
    requestBody: [
      "!sender_id",
      "sender_name",
      "!receiver_id",
      "receiver_name",
      "!content",
      "!room_id",
      "send_time",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "sender_id",
      "sender_name",
      "receiver_id",
      "receiver_name",
      "room_id",
      "content",
      "is_read",
      "send_time",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        sender_id: "sender_id",
        receiver_id: "receiver_id",
        room_id: "room_id",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["send_time"],
      asc: true,
      count: true,
    },
  },
  allRead: {
    parameters: {
      query: {
        user_id: "user_id",
        room_id: "room_id",
      },
    },
    service: "allRead",
  },
};
