module.exports = {
  create: {
    requestBody: ["!p1_id", "p1", "!p2_id", "p2", "product_id"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["p1_id", "p1", "p2_id", "p2", "product_id"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        p1_id: "p1_id",
        p1: "p1",
        p2_id: "p2_id",
        p2: "p2",
        product_id: "product_id",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["last_time"],
      desc: true,
      count: true,
    },
  },
};
