'use strict';
const _ = require('lodash');
const moment = require('moment');
const toTime = meta => {
  if (!meta) return;
  const { createdAt } = meta;
  if (!createdAt) return;
  const time = moment(createdAt).format('YYYY-MM-DD HH:mm:ss');
  return time;
};
module.exports = options => {
  return async function create_time(ctx, next) {
    await next();
    const request = ctx.request;
    const { method } = request;
    if (method === 'GET') {
      // 处理get的时coupons_id换成对应的数据
      let { data } = ctx.body;
      data = JSON.parse(JSON.stringify(data));
      if (_.isArray(data)) {
        // 数组,多个,循环查
        for (const i of data) {
          const { meta } = i;
          const create_time = toTime(meta);
          if (create_time) i.create_time = create_time;
        }
      } else if (_.isObject(data)) {
        // 一个,找完就完事
        const { meta } = data;
        const create_time = toTime(meta);
        if (create_time) data.create_time = create_time;
      }
      ctx.body.data = data;
    }
  };
};
