'use strict';
const _ = require('lodash');
/**
 * 针对重写service但是仍使用框架的controller处理数据的模式而产生的中间件
 * {errcode:0,errmsg:'ok',data:{data:[],total:x}} 的数据形式而使用
 * @param {Object} options 参数
 */
module.exports = options => {
  return async function query_without_rewrite_controller(ctx, next) {
    await next();
    const body = ctx.body;
    const { data, total } = body.data;
    ctx.body.data = data;
    ctx.body.total = total;
  };
};
