'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const { Secret } = require('naf-framework-mongoose-free/lib/model/schema');
// 字典类别表
const category = {
  code: { type: String, required: true, maxLength: 500 }, // 类别code
  name: { type: String, required: true, maxLength: 500 }, // 名称
  remark: { type: String, maxLength: 200 },
  create_time: { type: String },
};
const schema = new Schema(category, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Category', schema, 'category');
};
