'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose-free/lib/model/meta-plugin');
const { Secret } = require('naf-framework-mongoose-free/lib/model/schema');
// 字典表
const code = {
  code: { type: String, required: true, maxLength: 500 }, // code
  name: { type: String, required: true, maxLength: 500 }, // 名称
  category: { type: String, required: true, maxLength: 500 }, // 类别code
  sort: { type: Number, required: false, maxLength: 500 }, // 排序
  remark: { type: String, maxLength: 200 },
  create_time: { type: String },
};
const schema = new Schema(code, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Code', schema, 'code');
};
