'use strict';
const { CrudService } = require('naf-framework-mongoose-free/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const { ObjectId } = require('mongoose').Types;
const { isNullOrUndefined, trimData } = require('naf-core').Util;
const _ = require('lodash');
const assert = require('assert');

// 字典表
class CodeService extends CrudService {
  constructor(ctx) {
    super(ctx, 'code');
    this.model = this.ctx.model.System.Code;
  }

  /**
   * 行政区划
   * @param {Object} {code} 代码
   */
  async xzqh({ code }) {
    const filter = { category: '31' };
    if (!code) {
      filter.code = { $regex: /0000/ };
    } else {
      const prefix = code.substr(0, 2);
      filter.code = { $regex: `${prefix}\\d{2}(?<!00)00` };
    }
    const res = await this.model.find(filter);
    return res.map(p => ({ code: p.code, name: p.name }));
  }

  async codeName({ code }) {
    const res = await this.model.find({ code });
    return res.map(p => ({ code: p.code, name: p.name }));
  }
}

module.exports = CodeService;
