'use strict';
// 路由配置
const rkey = 'mechanism';
const ckey = 'user.mechanism';
const keyZh = '机构管理(m)';
const routes = [
  { method: 'post', path: `${rkey}/login`, controller: `${ckey}.login`, name: `${ckey}Login`, zh: `${keyZh}登陆` },
  { method: 'post', path: `${rkey}/password/:id`, controller: `${ckey}.password`, name: `${ckey}Password`, zh: `${keyZh}修改密码` },
  { method: 'get', path: `${rkey}`, controller: `${ckey}.index`, name: `${ckey}Query`, zh: `${keyZh}列表查询` },
  { method: 'get', path: `${rkey}/:id`, controller: `${ckey}.show`, name: `${ckey}Show`, zh: `${keyZh}查询` },
  { method: 'post', path: `${rkey}`, controller: `${ckey}.create`, name: `${ckey}Create`, zh: `创建${keyZh}` },
  { method: 'post', path: `${rkey}/:id`, controller: `${ckey}.update`, name: `${ckey}Update`, zh: `修改${keyZh}` },
  { method: 'delete', path: `${rkey}/:id`, controller: `${ckey}.destroy`, name: `${ckey}Delete`, zh: `删除${keyZh}` },
];

module.exports = app => {
  const { router, config } = app;
  const mwares = app.middleware;
  console.log(`${keyZh}:  ${rkey}`);
  for (const route of routes) {
    const { method, path, controller: ctl, zh } = route;
    let { middleware = [] } = route;
    if (!method || !path || !ctl) continue;
    // 拼全路径
    const allPath = `${config.routePrefix}/${path}`;
    // 处理中间件
    if (middleware.length > 0) middleware = middleware.map(i => mwares[i]({ enable: true }));
    // 注册路由
    router[method](zh, allPath, ...middleware, ctl);
  }
};
